%define module_name App-Notifier-Service
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Plack/Handler/FCGI.pm) perl(Plack/Test.pm) perl(Test/More.pm) perl(YAML/XS.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0700
Release: alt1
Summary: HTTP service to notify that an event happened.
Group: Development/Perl
License: mit
URL: http://www.shlomifish.org/open-source/projects/App-Notifier/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# Prepare a YAML file in ~/.app_notifier.yml with content like this:

    $ cat <<EOF > ~/.app_notifier.yml
    commands:
        # These entries contain command lines that get invoked after the
        # notification is received. They can be either strings or arrays.
        default:
            - /home/shlomif/bin/desktop-finish-cue
        shine:
            - /home/shlomif/bin/desktop-finish-cue
            - "--song"
            - "/home/music/Music/dosd-mp3s/Carmen and Camille - Shine 4U"
            - "--message"
            - type: "text_param"
              param_name: "msg"
    EOF

    # Run the Dancer application from the distribution's root directory.
    ./bin/app.pl

    # Alternatively run the following Perl code:
    use Dancer;
    use App::Notifier::Service;
    dance;

    # When you want to notify that an event occured:
    $ curl 'http://127.0.0.1:3000/notify'
    $ curl 'http://127.0.0.1:3000/notify?cmd_id=shine'

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri Apr 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.0700-alt1
- updated by package builder

* Tue Apr 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.0600-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.0401-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.0400-alt1
- regenerated from template by package builder

* Tue Jan 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.0301-alt1
- regenerated from template by package builder

* Wed Jan 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.0300-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0202-alt1
- initial import by package builder

